ANN_MLP_ANNEAL (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class ANN_MLP_ANNEAL

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.ANN_MLP
      - - org.opencv.ml.ANN_MLP_ANNEAL

-     public class ANN_MLP_ANNEAL
      extends ANN_MLP

- - ### Field Summary

    - ### Fields inherited from class org.opencv.ml.ANN_MLP

      `ANNEAL, BACKPROP, GAUSSIAN, IDENTITY, LEAKYRELU, NO_INPUT_SCALE, NO_OUTPUT_SCALE, RELU, RPROP, SIGMOID_SYM, UPDATE_WEIGHTS`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ANN_MLP_ANNEAL(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ANN_MLP_ANNEAL` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `double` | `getAnnealCoolingRatio()`
    `double` | `getAnnealFinalT()`
    `double` | `getAnnealInitialT()`
    `int` | `getAnnealItePerStep()`
    `void` | `setAnnealCoolingRatio(double val)`
    `void` | `setAnnealFinalT(double val)`
    `void` | `setAnnealInitialT(double val)`
    `void` | `setAnnealItePerStep(int val)`

    - ### Methods inherited from class org.opencv.ml.ANN_MLP

      `create, getBackpropMomentumScale, getBackpropWeightScale, getLayerSizes, getRpropDW0, getRpropDWMax, getRpropDWMin, getRpropDWMinus, getRpropDWPlus, getTermCriteria, getTrainMethod, getWeights, load, setActivationFunction, setActivationFunction, setBackpropMomentumScale, setBackpropWeightScale, setLayerSizes, setRpropDW0, setRpropDWMax, setRpropDWMin, setRpropDWMinus, setRpropDWPlus, setTermCriteria, setTrainMethod, setTrainMethod`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ANN_MLP_ANNEAL

          protected ANN_MLP_ANNEAL(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static ANN_MLP_ANNEAL __fromPtr__(long addr)

    - #### getAnnealCoolingRatio

          public double getAnnealCoolingRatio()

      Overrides:
        `getAnnealCoolingRatio` in class `ANN_MLP`

    - #### getAnnealFinalT

          public double getAnnealFinalT()

      Overrides:
        `getAnnealFinalT` in class `ANN_MLP`

    - #### getAnnealInitialT

          public double getAnnealInitialT()

      Overrides:
        `getAnnealInitialT` in class `ANN_MLP`

    - #### getAnnealItePerStep

          public int getAnnealItePerStep()

      Overrides:
        `getAnnealItePerStep` in class `ANN_MLP`

    - #### setAnnealCoolingRatio

          public void setAnnealCoolingRatio(double val)

      Overrides:
        `setAnnealCoolingRatio` in class `ANN_MLP`

    - #### setAnnealFinalT

          public void setAnnealFinalT(double val)

      Overrides:
        `setAnnealFinalT` in class `ANN_MLP`

    - #### setAnnealInitialT

          public void setAnnealInitialT(double val)

      Overrides:
        `setAnnealInitialT` in class `ANN_MLP`

    - #### setAnnealItePerStep

          public void setAnnealItePerStep(int val)

      Overrides:
        `setAnnealItePerStep` in class `ANN_MLP`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `ANN_MLP`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown